#include "merchant.h"

#include "constants.h"
#include "gold.h"
#include "level.h"

merchant::merchant(RNG *rng, const feature enabled_features,
                   const position &pos, const int gen_room_num):
        enemy_base{rng, enabled_features, MERCHANT, pos, gen_room_num, "M"} {}

const char *merchant::get_race_name() const {
        return "Merchant";
}

int merchant::dies(level *lvl) {
        lvl->add_gold(gold{pos, GOLD_MERCHANT});
        return 0;
}
